Frootlab Shared Library
=======================

[![Building Status](https://travis-ci.org/frootlab/flib.svg?branch=master)](https://travis-ci.org/frootlab/flib)
[![Documentation Status](https://readthedocs.org/projects/flib/badge/?version=latest)](https://flib.readthedocs.io/en/latest/?badge=latest)
[![PIP Version](https://badge.fury.io/py/flib.svg)](https://badge.fury.io/py/flib)

The *Frootlab Shared Library* (flib) is a multi-purpose
[Python](https://www.python.org/) library, which primarily aims to support
[Frootlab](https://github.com/frootlab) projects by serving as a common base
library. It was originally created in 2019 for the [Smart
Analytics](https://github.com/orgs/frootlab/projects) project to separate
[Pandora](https://github.com/frootlab/pandora) and
[Nemoa](https://github.com/frootlab/nemoa). The majority of the provided
modules, however, are kept generic to facilitate their application beyond
Frootlab projects as well.

The Frootlab Shared Library is [open
source](https://github.com/frootlab/pandora), based on the
[Python](https://www.python.org/) programming language and actively developed at
[Frootlab](https://github.com/frootlab).

Current Development Status
--------------------------

The individual modules comprised within the Frootlab Shared Library are in
different development stages, ranging from *Planning* to *Mature*. In case of
doubt, the individual stages can be requested by the authors listed within the
\_\_authors\_\_ attribute of the respective modules.

Installation
------------

Comprehensive information and installation support is provided within the
[online manual](https://flib.readthedocs.io/en/latest/). If you already have a
Python environment configured on your computer, you can install the latest
distributed version by using pip:

    $ pip install flib

Documentation
-------------

The documentation of the latest distributed version is available as an [online
manual](https://flib.readthedocs.io/en/latest/) and for download, given in the
formats [PDF](https://readthedocs.org/projects/flib/downloads/pdf/latest/),
[EPUB](https://readthedocs.org/projects/flib/downloads/epub/latest/) and
[HTML](https://readthedocs.org/projects/flib/downloads/htmlzip/latest/).

Contribute
----------

Contributors are very welcome! Feel free to report bugs and feature requests to
the [issue tracker](https://github.com/frootlab/flib/issues) provided by GitHub.
Currently, as the Frootlab Developers team still is growing, we do not provide
any Contribution Guide Lines to collaboration partners. However, if you are
interested to join the team, we would be glad, to receive an informal
[application](mailto:application@frootlab.org).

License
-------

The Frootlab Shared Library is [open
source](https://github.com/frootlab/pandora) and available free for any use
under the [GPLv3 license](https://www.gnu.org/licenses/gpl.html):

    © 2019 Frootlab Developers:
      Patrick Michl <patrick.michl@frootlab.org>
